psychopy.org | Reference | Downloads | Github

Big Sur macOs - PsychoPy won't run

macOS Big Sur Version 11.0.1 (20B29)
PsychoPy version 2020 2.5
Standard Standalone
What are you trying to achieve?:
Upgraded OS to Big Sur and started testing my currently installed software. PsycoPy 3 didn’t run.
What did you try to make it work?:
Uninstalled PsychoPy 3. Downloaded and Installed latest version of Standalone PsychoPy, downloaded and installed latest Xcode for OpenGL.
Dropped copy of /Frameworks/OpenGl from Applications/xcode folder into Library/Systems/Frameworks,
Still won’t run. I get the following error.


Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/init.py”, line 378, in getattr
AttributeError: ‘NoneType’ object has no attribute ‘_create_shadow_window’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Applications/PsychoPy.app/Contents/Resources/boot.py”, line 498, in
File “/Applications/PsychoPy.app/Contents/Resources/boot.py”, line 476, in _run
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 104, in
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 100, in main
File “/Applications/PsychoPy.app/Contents/Resources/psychopyApp.py”, line 28, in start_app
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/_psychopyApp.py”, line 226, in init
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/_psychopyApp.py”, line 262, in onInit
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/init.py”, line 7, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/builder.py”, line 46, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/dialogs/init.py”, line 27, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/validators.py”, line 27, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/window/init.py”, line 1896, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/init.py”, line 384, in getattr
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/init.py”, line 100, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/lib.py”, line 141, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/gl/lib_agl.py”, line 49, in
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/lib.py”, line 118, in load_library
File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/pyglet/lib.py”, line 286, in load_framework
ImportError: Can’t find framework /System/Library/Frameworks/OpenGL.framework.


1 Like

I made a thread about it some hours ago. If I understood correctly, no real fix as of yet. Even with the fix provided in the sticky thread, it is not really completely fixed. So I’ll be reverting back to catalina.

1 Like

I get exactly the same error on launch 2020.2.5, and 2020.2.6 (not finding OpenGL.Framework) even though it is installed in the right place in Big Sur! I note that there is a period after the OpenGL.Framework (“OpenGL.Framework.”) in the error message but since PsychoPy launched just fine under Catalina, I guess that can’t be the problem. Bummer. I hope it gets resolved quickly. I’m teach a lab class right now that depends on PsychoPy 2020.2.5 or later and some students have already upgraded to Big Sur.

@lharvey many thanks for flagging, sounds like a bug on our end, please allow us some time to address the issue, s.

In case it helps: the piglet key fix referenced in the sticky by @ivobivo allows v2020.2.6 to run on Big Sur, but running any code throws the following error:

dyld: Library not loaded: /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
  Referenced from: /Applications/PsychoPy.app/Contents/MacOS/python
  Reason: image not found
##### Experiment ended. #####

XCode 12 doesn’t fix it, nor do a few other solutions that were proposed in the past for a similar error. So I think we just need to wait until we hear more from the dev team.

OK that helps a lot, many thanks, s.

Thanks for the quick reply. I’m “glad” it’s not just me!

Let’s just handle the discussion of this on the other thread